For the complete documentation index, see llms.txt. This page is also available as Markdown.

FAQs

FAQ related APIs

Select FAQ Answer

post
/webapi/faq/select_answer

This API allows you to record a user's selection of a specific FAQ answer from a prior Q&A search result.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Request Body

  • id (string, optional): The ID of the FAQ that you would like to select. If omitted, the query is registered as a candidate (no matching answer).

  • hashId (string, required): The hash ID returned from the prior Q&A search result.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
idstringOptional

The id of the FAQ that you would like to select

hashIdstringOptional

The id of the Q&A search return result

Responses
200

Successfully selected FAQ

application/json
resultstringOptional

In case of success, returns "Success"

post/webapi/faq/select_answer
POST /webapi/faq/select_answer HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "id": "text",
  "hashId": "text"
}
{
  "result": "text"
}

FAQ Embedding Status

get
/webapi/faq/embedding_status

This API allows you to retrieve the embedding status of Q&As, including total, pending, and ready counts.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

Successfully retrieved FAQ embedding status

application/json
totalintegerOptional

Total number of FAQ embeddings.

pendingintegerOptional

Number of FAQ embeddings pending rebuild.

readyintegerOptional

Number of FAQ embeddings that are ready.

get/webapi/faq/embedding_status
GET /webapi/faq/embedding_status HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "total": 1,
  "pending": 1,
  "ready": 1
}

Search from Q&A

post
/webapi/faq

This API allows you to search for the most relevant Q&A pairs from your knowledge base using a natural language query.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Request Body

  • query (string, required): The search query string.

  • maxResults (integer, optional): The maximum number of results to return. Defaults to -1 (no limit).

  • format (string, optional): The format of the answer value. Must be either html or text. Defaults to html.

  • hashtags (array[string], optional): Hashtags to filter the search results.

  • hashtagsOperator (string, optional): Operator for hashtag filtering. Must be either AND or OR. Defaults to OR.

  • autoRegisterCandidates (boolean, optional): When set to false, the query will not be automatically registered as a candidate when there is no matching answer. Defaults to true.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
autoRegisterCandidatesbooleanOptional

The default value is true. When this option has set false, it'll not automatically register the query to candidates when there was no answer for the given query.

hashtagsOperatorstring · enumOptional

Either AND or OR. Choose AND if you want each returned result to contain all hashtags. Choose OR if you want each returned result to contain at least one of the hashtags.

Possible values:
hashtagsstring[]Optional

An array of all the hashtags that you would like to appear.

maxResultsintegerOptional

The maximum number of results to be returned.

querystringOptional

This is a query string.

formatstring · enumOptional

html or text. If it's text, the return value will be in plain text. If it's html, it will return html. If your answer contains styled html, such as different font size and color, you can use html. If you simply want to get an answer as a text, you can use the text. The default value is html.

Possible values:
Responses
200

The API will find the most relevant question and answers from your Q&A database.

application/json
countintegerOptional

The number of suggested Q&As.

hashIdstringOptional

This hash id is being used when you call select_answer later.

post/webapi/faq
POST /webapi/faq HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 122

{
  "autoRegisterCandidates": true,
  "hashtagsOperator": "AND",
  "hashtags": [
    "text"
  ],
  "maxResults": 1,
  "query": "text",
  "format": "html"
}
{
  "result": [
    {
      "confidence": 1,
      "effectiveConfidence": 1,
      "question": "text",
      "answer": "text",
      "id": "text",
      "hashtags": [
        "text"
      ],
      "lastUpdatedDate": "2026-01-01",
      "agentFeedback": {
        "positiveCount": 1,
        "negativeCount": 1
      },
      "userFeedback": {
        "positiveCount": 1,
        "negativeCount": 1
      }
    }
  ],
  "count": 1,
  "hashId": "text"
}

Get Single Q&A

get
/webapi/single_faq

This API allows you to retrieve all details of a single Q&A.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Query Parameters

  • id (string, required): The ID of the FAQ you are looking for.

  • format (string, optional): The format of the answer value. Must be either html or text. Defaults to html.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
idstringRequired

The id of the FAQ you are looking for.

formatstring · enumOptional

The format of the answer value for this FAQ. Default is HTML.

Possible values:
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

Successfully retrieved FAQ details

application/json
get/webapi/single_faq
GET /webapi/single_faq?id=text HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "question": "text",
    "similar_questions": [
      "text"
    ],
    "answer": "text",
    "id": "text",
    "userFeedback": {
      "positiveCount": 1,
      "negativeCount": 1
    },
    "agentFeedback": {
      "positiveCount": 1,
      "negativeCount": 1
    },
    "lastUpdatedDate": "2026-01-01",
    "createdDate": "2026-01-01",
    "hashtags": [
      "text"
    ],
    "statusOnAt": "2026-01-01T00:00:00.000Z",
    "statusOffAt": "2026-01-01T00:00:00.000Z",
    "folder": "text",
    "agentEditor": [
      "text"
    ],
    "agentViewer": [
      "text"
    ],
    "allowOtherAgentsView": true,
    "allowOtherUsersView": true
  }
}

List Q&As

get
/webapi/faqs

This API allows you to list Q&As in the Knowledge Base with pagination.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Query Parameters

  • offset (integer, optional): The ranking number of the first item on the page. Defaults to 0.

  • limit (integer, optional): The number of objects returned on one page. Maximum and default is 1000.

  • format (string, optional): The format of the answer value. Must be either html or text. Defaults to html.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
offsetintegerOptional

Offset allows you to specify the ranking number of the first item on the page.

Default: 0
limitintegerOptional

Limit allows you to set the number of objects returned on one page. The maximum and the default value is 1000.

Default: 1000
formatstring · enumOptional

If your answers contain styled html, such as different font size or color, you can use html to get answers in html format. If you simply want to get answers as a text, you can use the text.

Default: htmlPossible values:
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

Successfully retrieved FAQs

application/json
offsetintegerOptional

The same offset value with the offset request parameter.

countintegerOptional

Total number of Q&As listed after limit is applied.

total_countintegerOptional

Total number of Q&As as the result of applied filters.

get/webapi/faqs
GET /webapi/faqs HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "offset": 1,
  "count": 1,
  "total_count": 1,
  "results": [
    {
      "id": "text",
      "question": "text",
      "answer": "text",
      "hashtags": [
        "text"
      ],
      "userFeedback": {
        "positiveCount": 1,
        "negativeCount": 1
      },
      "agentFeedback": {
        "positiveCount": 1,
        "negativeCount": 1
      },
      "lastUpdatedDate": "2026-01-01",
      "createdDate": "2026-01-01"
    }
  ]
}

Search Q&As

post
/webapi/faqs

This API allows you to search and filter Q&As in the Knowledge Base.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Request Body

  • searchTerm (string, optional): Keyword search query. Supports operators: "TERM1 TERM2" for AND, "TERM1 OR TERM2" for OR, and "TERM" for exact match.

  • isUsed (boolean, optional): If true, only turned-on Q&As are listed. If false, only turned-off Q&As.

  • hashtags (array[string], optional): Hashtags to filter the list. Multiple hashtags can be specified.

  • hashtagsOperator (string, optional): Operator for multiple hashtags filter. Must be either and or or.

  • createdByAgent (boolean, optional): If true, only Q&As created by agents are included. Mutually exclusive with answeredByMrc, autoGenerated, editedByAgent (OR logic if combined).

  • answeredByMrc (boolean, optional): If true, only Q&As with answers extracted from uploaded Documents are included.

  • autoGenerated (boolean, optional): If true, only auto-generated Q&As are included.

  • editedByAgent (boolean, optional): If true, only Q&As edited by an agent after registration are included.

  • format (string, optional): The format of the answer value. Must be either html or text. Defaults to html.

  • offset (integer, optional): The ranking number of the first item on the page. Defaults to 0.

  • limit (integer, optional): The number of objects returned on one page. Maximum and default is 1000.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
searchTermstringOptional

Keyword search query to filter the list. You can use operators to run advanced searches. "TERM1 TERM2" for AND, "TERM1 OR TERM2" for OR, and "TERM" for exact match.

isUsedbooleanOptional

If true, only turned-on Q&As will be listed, If false, only turned-off Q&As will.

hashtagsstring[]Optional

Hashtags to filter the list. You can add multiple hashtags.

hashtagsOperatorstring · enumOptional

If it's and, hashtags filter for multiple hashtags works with AND logic. If or, OR logic.

Possible values:
createdByAgentbooleanOptional

If true, the list will only include Q&As created by agents. If false, only the other Q&As will be included. Please note that createdByAgent, answeredByMrc, autoGenerated, editedByAgent filters are mutually exclusive, and OR logic is applied if two or more of them are used.

answeredByMrcbooleanOptional

If true, the list will only include Q&As that are the answers are automatically extracted from uploaded Documents. If false, only the other Q&As will be included.

autoGeneratedbooleanOptional

If true, the list will only include auto-generated Q&As. If false, only the other Q&As will be included.

editedByAgentbooleanOptional

If true, the list will only include Q&A's edited by any agent after registered. If false, only the other Q&As will be included.

formatstring · enumOptional

If your answers contain styled html, such as different font size or color, you can use html to get answers in html format. If you simply want to get answers as a text, you can use the text. The default value is html.

Possible values:
offsetintegerOptional

Offset allows you to specify the ranking number of the first item on the page.

limitintegerOptional

Limit allows you to set the number of objects returned on one page. The maximum and the default value is 1000.

Responses
200

Successfully searched FAQs

application/json
offsetintegerOptional

The same offset value with the offset request parameter.

countintegerOptional

Total number of Q&As listed after limit is applied.

total_countintegerOptional

Total number of Q&As as the result of applied filters.

post/webapi/faqs
POST /webapi/faqs HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "searchTerm": "text",
  "isUsed": true,
  "hashtags": [
    "text"
  ],
  "hashtagsOperator": "and",
  "createdByAgent": true,
  "answeredByMrc": true,
  "autoGenerated": true,
  "editedByAgent": true,
  "format": "html",
  "offset": 1,
  "limit": 1
}
{
  "offset": 1,
  "count": 1,
  "total_count": 1,
  "results": [
    {
      "id": "text",
      "question": "text",
      "answer": "text",
      "hashtags": [
        "text"
      ],
      "userFeedback": {
        "positiveCount": 1,
        "negativeCount": 1
      },
      "agentFeedback": {
        "positiveCount": 1,
        "negativeCount": 1
      },
      "lastUpdatedDate": "2026-01-01",
      "createdDate": "2026-01-01"
    }
  ]
}

Add Q&A

post
/webapi/register_faq

This API allows you to register a new Q&A or update an existing Q&A. If a Q&A with the same question already exists, it will be updated with the new answer.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Request Body

  • question (string, required): The question part of the Q&A.

  • answer (string, required): The answer part of the Q&A. If the same question exists, this answer replaces the existing one.

  • status (string, required): Must be either on or off. When set to on, the Q&A will be used in search.

  • similarQuestions (array[string], optional): Similar questions that share the same answer.

  • hashtags (array[string], optional): Hashtags to add to the Q&A.

  • memo (string, optional): A memo on the Q&A to share with agents.

  • folder (string, optional): The name of the target folder to place the Q&A in.

  • allowOtherAgentsView (boolean, optional): Whether agents not in the editor/viewer list can view this Q&A. Defaults to true.

  • allowOtherUsersView (boolean, optional): Whether users not in the viewer list can view this Q&A. Defaults to true.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
questionstringOptional

The question part of the Q&A.

similarQuestionsstring[]Optional

Similar questions that has the same answer.

answerstringOptional

The answer part of the Q&A. If the same question exists in the database, this answer will replace the existing one.

hashtagsstring[]Optional

Hashtags added to the Q&A.

statusstring · enumOptional

ON or OFF. When on, registered Q&A will be turned on for Q&A search.

Possible values:
memostringOptional

Memo on the Q&A to share with agents.

folderstringOptional

The name of the target folder to place the Q&A in.

allowOtherAgentsViewbooleanOptional
allowOtherUsersViewbooleanOptional
Responses
200

FAQ created successfully

application/json
errorsstringOptional
post/webapi/register_faq
POST /webapi/register_faq HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "question": "text",
  "similarQuestions": [
    "text"
  ],
  "answer": "text",
  "hashtags": [
    "text"
  ],
  "status": true,
  "memo": "text",
  "folder": "text",
  "allowOtherAgentsView": true,
  "allowOtherUsersView": true
}
{
  "result": {
    "status": "text",
    "id": "text"
  },
  "errors": "text"
}

Update Q&A

put
/webapi/register_faq

This API allows you to update an existing Q&A by its ID.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Request Body

  • id (string, required): The ID of the Q&A to update.

  • question (string, optional): The question part of the Q&A.

  • similar_questions (array[string], optional): Similar questions that share the same answer.

  • answer (string, optional): The answer part of the Q&A.

  • hashtags (array[string], optional): Hashtags to add to the Q&A.

  • status (string, optional): Must be either on or off. When set to on, the Q&A will be used in search.

  • folder (string, optional): The name of the target folder to place the Q&A in.

  • allowOtherAgentsView (boolean, optional): Whether agents not in the editor/viewer list can view this Q&A.

  • allowOtherUsersView (boolean, optional): Whether users not in the viewer list can view this Q&A.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
idstringOptional

The ID of the Q&A to update.

questionstringOptional

The question part of the Q&A.

similar_questionsstring[]Optional

Similar questions that has the same answer.

answerstringOptional

The answer part of the Q&A.

hashtagsstring[]Optional

Hashtags added to the Q&A.

statusstring · enumOptional

ON or OFF. When on, Q&A will be turned on for Q&A search.

Possible values:
folderstringOptional

The name of the target folder to place the Q&A in.

allowOtherAgentsViewbooleanOptional
allowOtherUsersViewbooleanOptional
Responses
200

FAQ updated successfully

application/json
errorsstringOptional
put/webapi/register_faq
PUT /webapi/register_faq HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "id": "text",
  "question": "text",
  "similar_questions": [
    "text"
  ],
  "answer": "text",
  "hashtags": [
    "text"
  ],
  "status": true,
  "folder": "text",
  "allowOtherAgentsView": true,
  "allowOtherUsersView": true
}
{
  "result": {
    "status": "text",
    "id": "text"
  },
  "errors": "text"
}

Delete Q&A

post
/webapi/delete_faq

This API allows you to delete a Q&A by its ID.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Request Body

  • id (string, required): The ID of the Q&A you want to delete.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
idstringOptional

The ID of the Q&A you want to delete.

Responses
200

FAQ deleted successfully

application/json
errorsstringOptional
post/webapi/delete_faq
POST /webapi/delete_faq HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}
{
  "result": {
    "status": "text"
  },
  "errors": "text"
}

FAQ Feedbacks

get
/webapi/faq_feedbacks

This API allows you to retrieve feedback history for Q&As, including both user and agent feedbacks.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call. When provided, filters feedbacks by this agent.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user. When provided, filters feedbacks by this user.

Query Parameters

  • offset (integer, optional): Number of records to skip for pagination. Defaults to 0.

  • limit (integer, optional): Maximum number of records to return. Defaults to 100.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
offsetintegerOptional

Number of records to skip (for pagination)

limitintegerOptional

Maximum number of records to return (max 100)

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

FAQ feedbacks retrieved successfully

application/json
countintegerOptional
get/webapi/faq_feedbacks
GET /webapi/faq_feedbacks HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": [
    {
      "query": "text",
      "feedbacks": []
    }
  ],
  "count": 1
}

Upload Q&As from File

post
/webapi/upload_faq_file

This API allows you to upload multiple Q&As in bulk from a file. Supported formats: TSV, CSV, XLSX, and ZIP.

Headers

  • API-KEY (string, required): Your assigned API key. You can find it in the Settings menu of the dashboard.

  • AGENT-EMAIL (string, optional): The email address of the agent performing the API call.

  • USER-EMAIL (string, optional): The email address to associate with the user.

  • OWN-USER-ID (string, optional): The user ID to identify or create a user.

Request Body (multipart/form-data)

  • file (binary, required): The Q&A file to upload. Supported formats: XLSX, TSV, CSV, and ZIP.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
filestring · binaryOptional

Your local Q&A file location. xlsx, tsv, csv, and zip files are supported.

Responses
200

FAQ file upload successful

application/json
resultstringOptional

Success status of the upload operation

post/webapi/upload_faq_file
POST /webapi/upload_faq_file HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
{
  "result": "text",
  "notUploaded": [
    {
      "question": "text",
      "state": "text"
    }
  ]
}

Q&A Feedback

post
/webapi/faq_feedback

This API lets you give or cancel feedback given to a Q&A pair for a search query.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
querystringRequired

The query you want to give or cancel feedback for, toward the Q&A.

idstringRequired

The ID for the Q&A you want to give or cancel feedback for the query. It is created whenever a Q&A search happens and bound to the query and the Q&A pair. It can be retrieved using the Q&A API above.

isPositiveboolean · nullableRequired

When the value is true, positive feedback is given to the Q&A for the query. When it's false, negative feedback is given. When it's null, it cancels the feedback.

Responses
200

Feedback submitted successfully

application/json
errorsobject · nullableOptional

Error information if the request fails

post/webapi/faq_feedback
POST /webapi/faq_feedback HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "query": "text",
  "id": "text",
  "isPositive": true
}
{
  "result": {
    "faqTrainSearchResult": {
      "faq": {
        "id": "text"
      },
      "agentFeedback": {
        "positiveCount": 1,
        "negativeCount": 1
      }
    }
  },
  "errors": {}
}

Q&A Query History

get
/webapi/faq_histories

Returns the past Q&A Searches that have been done, both through the REST API and the Alli dashboard.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
limitintegerOptional

A limit on the number of results to show (used for pagination)

offsetintegerOptional

In the list of all results, the index from which to start listing results (used for pagination)

endDatestringOptional

The latest date from which you want to get history (dates should be in the form YYYY-MM-DD)

startDatestringOptional

The earliest date from which you want to get history (dates should be in the form YYYY-MM-DD)

orderstringOptional

Can either be DESC (meaning latest queries come first), or ASC (meaning earliest queries come first)

searchTermstringOptional

The term that should have appeared in the query

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

Successful response

application/json
errorsobject · nullableOptional

Error information if the request fails

get/webapi/faq_histories
GET /webapi/faq_histories HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "histories": [
      {
        "agent": {
          "id": "text"
        },
        "question": "text",
        "answers": [
          {
            "faq": {
              "id": "text"
            },
            "effectiveConfidence": 1,
            "confidence": 1
          }
        ]
      }
    ],
    "count": 1
  },
  "errors": {}
}

Q&A Candidates

get
/webapi/faq_candidates

Using this API, you can get the list of unanswered questions from customers. They're called Candidates.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
hashtagsstring[]Optional

Hashtag array if you want to limit the search scope to the given hashtags

searchTermstringOptional

Search query to filter the candidates to see. You can use operators to run advanced searches. "TERM1 TERM2" for AND, "TERM1 OR TERM2" for OR, and "TERM" for exact match.

orderstringOptional

How to order the candidates. You can use ATTRIBUTE_[DESC or ASC] format. ATTRIBUTE can be FREQUENCY or CREATED_AT.

statestringOptional

Status of the candidates to see. It can be ALL or ACTIVE or ARCHIVED.

offsetintegerOptional

offset allows you to specify the ranking number of the first item on the page.

limitintegerOptional

limit allows you to set the number of objects returned on one page. The maximum value is 100.

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

Successful response

application/json
errorsobject · nullableOptional
get/webapi/faq_candidates
GET /webapi/faq_candidates HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "faqCandidates": [
      {
        "id": "text",
        "frequency": 1,
        "textAnswer": "text",
        "state": "text",
        "createdAt": 1,
        "questions": [
          {
            "id": "text",
            "question": "text",
            "frequency": 1,
            "history": {
              "id": "text"
            }
          }
        ]
      }
    ],
    "count": 1
  },
  "errors": {}
}

Daily FAQ Count

get
/webapi/faq_daily_count

Daily trend of Q&A from FAQ in given date range.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
startDatestringOptional

Start of range of dates to query in YYYY-MM-DD format.

endDatestringOptional

End of range of dates to query in YYYY-MM-DD format.

Responses
200

Successfully retrieved daily FAQ count

application/json
errorsobject · nullableOptional
get/webapi/faq_daily_count
GET /webapi/faq_daily_count HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "startDate": "text",
  "endDate": "text"
}
{
  "result": {
    "dailyTotalCount": [
      {
        "date": "text",
        "count": 1
      }
    ],
    "state": "text",
    "campaignCount": 1
  },
  "errors": {}
}

Daily FAQ Analytics

get
/webapi/faq_daily_analytics

Analytics information for the most frequently asked Q&As.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
topNintegerOptional

Top N of the most frequently asked Q&A. Maximum value for N is 20. Please use 1, 5, 10, or 20 for N.

startDatestringOptional

Start of range of dates to query in YYYY-MM-DD format.

endDatestringOptional

End of range of dates to query in YYYY-MM-DD format.

Responses
200

Successfully retrieved FAQ analytics

application/json
errorsobject · nullableOptional
get/webapi/faq_daily_analytics
GET /webapi/faq_daily_analytics HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "topN": 1,
  "startDate": "text",
  "endDate": "text"
}
{
  "result": {
    "faqDailyAnalytics": [
      {
        "totalCount": 1,
        "totalShownCount": 1,
        "selectedRatio": 1,
        "faq": {
          "id": "text",
          "question": "text"
        },
        "stats": [
          {
            "date": "text",
            "selectedCount": 1
          }
        ]
      }
    ]
  },
  "errors": {}
}

Q&A Candidates

post
/webapi/add_faq_candidates

Registers a new Q&A Candidate with the system.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
queriesstring[]Required

The list of all queries you would like to register

Responses
200

Candidates registered successfully

application/json
errorsobject · nullableOptional
post/webapi/add_faq_candidates
POST /webapi/add_faq_candidates HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "queries": [
    "text"
  ]
}
{
  "result": {
    "candidates": [
      {
        "id": "text"
      }
    ]
  },
  "errors": {}
}

Last updated